%define	name	jbigkit
%define	version	1.5
%define	release	4mdk

Name:		%{name}
Summary:	The JBIG Kit
Version:	%{version}
Release:	%{release}
License:	GPL
Source0:	http://www.cl.cam.ac.uk/~mgk25/download/jbigkit-1.5.tar.bz2
Patch0:		jbigkit-1.6.patch.bz2
URL:		http://www.cl.cam.ac.uk/~mgk25
Group:		Graphics
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
JBIG is a highly effective lossless compression algorithm for bi-level
images (one bit per pixel), which is particularly suitable for scanned
document pages.

%package -n libjbig-devel
Summary:  Header files and static library for development with JBIG
Group: Development/C
%description -n libjbig-devel
This package is only needed if you plan to develop or compile
applications which requires the libjbig library.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .16

%build
make CCFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC"
make test
mv -f libjbig/jbig.doc libjbig/jbig.txt

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} \
    $RPM_BUILD_ROOT%{_includedir} \
    $RPM_BUILD_ROOT%{_libdir} \
    $RPM_BUILD_ROOT%{_mandir}/man1
#
install pbmtools/jbgtopbm $RPM_BUILD_ROOT%{_bindir}
install pbmtools/pbmtojbg $RPM_BUILD_ROOT%{_bindir}
install pbmtools/jbgtopbm.1 $RPM_BUILD_ROOT%{_mandir}/man1
install pbmtools/pbmtojbg.1 $RPM_BUILD_ROOT%{_mandir}/man1
install libjbig/libjbig.a $RPM_BUILD_ROOT%{_libdir}
install libjbig/jbig.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ANNOUNCE COPYING INSTALL TODO
%attr(755,root,root) %{_bindir}/*
%attr(644,root,root) %{_mandir}/man1/*

%files -n libjbig-devel
%defattr(-,root,root)
%doc ANNOUNCE COPYING INSTALL TODO libjbig/jbig.txt
%attr(644,root,root) %{_includedir}/*.h
%{_libdir}/*.a

%changelog
* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.5-4mdk
- Rebuild

* Sat Mar 19 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.5-3mdk
- Backported patches from 1.6 to fix these bugs:
  - various small changes to reduce the risk of 32-bit unsigned
    integer overflows when dealing with extremely large images
  - robuster treatment of L0 = 0xffffffff.
  - minor API modification in jbg_enc_options(): parameter l0 changed
    from type long to unsigned long; previous value now remains
    unchanged when l0 == 0 (was: l0 < 0).

* Sat Feb 08 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.5-2mdk
- Rebuilt.

* Thu Aug 07 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.5-1mdk
- Release: 1.5.

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2-5mdk
- rebuild
- cosmetics

* Mon Jul 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2-4mdk
- build libjbig.a with PIC code as it could be linked into a shared library

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2-3mdk
- rebuild for Mandrake 9.0

* Sat Jul 28 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2-2mdk
- rebuilt for Mandrake 8.1.
- s/Copyright/License/.

* Tue Dec 26 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2-1mdk
- initial release for OpenDX.
